class PersonalPluginField
	include Mongoid::Document
	include Mongoid::Timestamps
	include OrbitModel::Status
  	include MemberHelper
    field :author_name, :type => String, :default => "",:localize => true
    field :title, :type => String, :default => "",:localize => true
    field :module_name, :type => String, :default => ""
    field :primary_modal_name, :type => String, :default => ""
    field :related_modal_name, :type => Array, :default => []
    field :primary_modal_fields, :type => Array, :default => []
    field :related_modal_fields, :type => Array, :default => [] #ex: [[],[]]
    field :backend_fields, :type => Hash, :default => {}
    field :frontend_fields, :type => Hash, :default => {}
end
