module PersonalPluginTemplate
  class Engine < ::Rails::Engine
   initializer "personal_plugin_template" do
		OrbitApp.registration "PersonalPluginTemplate",:type=> 'ModuleApp' do
			module_label 'module_name.plugin_templates'
			base_url File.expand_path File.dirname(__FILE__)
			personal_plugin :enable => true, :sort_number => '35', :app_name=>"PluginTemplate", :intro_app_name=>"PluginTemplateIntro",:path=>"/plugin/personal_plugin_template/profile",:front_path=>"/profile",:admin_path=>"/admin/plugin_templates/",:i18n=>'module_name.plugin_templates', :module_app_name=>'PluginTemplate', :analysis => true, :analysis_path => "/admin/plugin_templates/analysis"

			version "0.1"
			desktop_enabled true
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'
			frontend_enabled
			icon_class_no_sidebar "icons-user"
			data_count 1..10
		end
	end
  end
end
